> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poly.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete branch



## OpenAPI

````yaml DELETE /v1/agents/{agentId}/branches/{branchId}
openapi: 3.1.0
info:
  title: PolyAI Agents API
  version: 1.0.11
  description: Manage PolyAI agents, telephony, deployments, and real-time configs.
servers:
  - url: https://api.us.poly.ai
    description: US region
  - url: https://api.eu.poly.ai
    description: EU region
  - url: https://api.uk.poly.ai
    description: UK region
  - url: https://api.studio.poly.ai
    description: Studio region
security:
  - polyApiKey: []
paths:
  /v1/agents/{agentId}/branches/{branchId}:
    parameters:
      - name: agentId
        in: path
        required: true
        schema:
          type: string
      - name: branchId
        in: path
        required: true
        schema:
          type: string
    delete:
      tags:
        - Branches
      summary: Delete branch
      responses:
        '200':
          description: Branch deleted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteBranchResponse'
components:
  schemas:
    DeleteBranchResponse:
      type: object
      properties:
        sequence:
          type: string
        message:
          type: string
      required:
        - sequence
        - message
      additionalProperties: false
      title: DeleteBranchResponse
  securitySchemes:
    polyApiKey:
      type: apiKey
      in: header
      name: X-API-KEY

````